# Create Component part for Fritzing

## Installation

Install:
* Fritzing
* Inkscape

Fritzing installation (Debian 12):

`
$ sudo apt install fritzing
`

Inkscape installation (Debian 12):

`
$ sudo apt install inkscape`

## Fonts installation

Install fonts for Fritzing components definition:
* download file from [](https://fritzing.org/learning/tutorials/creating-custom-parts/download-fonts-and-templates)

`
$ wget https://fritzing.org/media/uploads/learning/graphic_standards/fontsandtemplates.zip
`

Install fonts from the zip file:

* DroidSans
* OCR A

## Inkscape

Use Inkscape to define:
* the Fritzing breadboard svg file
* the Fritzing schematic svg file and
* the Fritzing PCB svg file

You can start using the templates provided in the fontsandtemplates.zip file.

## Frizting

Steps to create a new component:
* new project
* drag and drop in the breadboard and existing component
* click Component menu / Edit (new componnent)
* load svg file for each tabs (breadboard, schematic, PCB)
* change the metadata in Metadata tab
* change the number and definition of pins in Connectors tab
* for each view, select pin and link it to a graphical part of the svg drawings

Finally, save the Fritzing new component in **My Parts** tab. 

## This directory content

This directory contains svg files for:
* breadboard and icon: lph_gear_motor_encoder_icon.svg
* schematic: lph_gear_motor_encoder_schematic.svg
* PCB: lph_gear_motor_encoder_pcb.svg

# References

* https://wiki.dfrobot.com/Micro_DC_Motor_with_Encoder-SJ01_SKU__FIT0450
* https://github.com/Arduinolibrary/DFRobot_Micro_DC_Geared_Motor_with_Encoder/
